cURL
curl --request PATCH \
--url https://api.invopop.com/access/v1/workspace \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"logo_url": "https://example.com/logo.png",
"name": "My Company",
"slug": "my-company"
}
'import requests
url = "https://api.invopop.com/access/v1/workspace"
payload = {
"logo_url": "https://example.com/logo.png",
"name": "My Company",
"slug": "my-company"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
logo_url: 'https://example.com/logo.png',
name: 'My Company',
slug: 'my-company'
})
};
fetch('https://api.invopop.com/access/v1/workspace', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"country": "US",
"created_at": "2018-01-01T00:00:00.000Z",
"id": "347c5b04-cde2-11ed-afa1-0242ac120002",
"name": "My Company",
"sandbox": true,
"slug": "my_company",
"updated_at": "2018-01-01T00:00:00.000Z"
}Workspaces
Update workspace
Update the workspace details associated with the current authentication token.
PATCH
/
access
/
v1
/
workspace
cURL
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Response
200 - application/json
OK
The country the workspace is based in.
Example:
"US"
The date and time the workspace was created.
Example:
"2018-01-01T00:00:00.000Z"
UUID of the workspace.
Example:
"347c5b04-cde2-11ed-afa1-0242ac120002"
The name of the workspace.
Example:
"My Company"
Indicates if the workspace is in a sandbox environment.
Example:
true
A unique identifier for the workspace.
Example:
"my_company"
The date and time the workspace was last updated.
Example:
"2018-01-01T00:00:00.000Z"
Was this page helpful?
⌘I